/* -- RESET & BASE --*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    overflow-x: hidden;
    max-width: 100%;
}

body {
    font-family: Georgia, serif;
    color: #310101;
    padding-top: 120px;
    background-color: #faf7f3;
}

/* -- NAVIGATION --*/
nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 40px 40px;
    background-color: #fefcfb;
    position: fixed;
    top: 0;
    z-index: 100;
    min-width: 0;
    gap: 70px;
    height: 120px;
    min-height: 120px;
    width: 100%;
    gap: 40px;
}

.nav-logo {
    flex-shrink: 0;
}

.nav-logo img {
    height: 120px;
    width: auto;
    display: block;
}

.nav-links {
   list-style: none;
   display: flex;
   gap: 20px; 
}

.nav-links a {
    text-decoration: none;
    color: #310101;
    font-size: 18px;
    letter-spacing: 1.7x;
    text-transform: uppercase;
    white-space: nowrap;
}

.nav-links a:hover {
    color: #a17d74;
}

.hamburger {
    display: none;
    flex-direction: column;
    justify-content: center;
    gap: 7px;
    background: none;
    border: none;
    cursor: pointer;
    padding: 10px;
}

.hamburger span {
    display: block;
    width: 40px;
    height: 4px;
    background-color: #310101;
    border-radius: 999px;
}

.hamburger span:nth-child(2) {
    width: 32px;
    align-self: center;
}

/*-- MEDIA QUERIES for NAV--*/

/* medium dektop: nav links wrap */
@media (max-width: 1700px) and (min-width: 1173px) {
    nav {
        gap: 30px;
        height: 120px;
        min-height: 120px;
        padding: 20px 20px;
    }
    
    .nav-links {
        flex-wrap: wrap;
        justify-content: flex-end;
        align-content: center;
        row-gap: 4px;
        column-gap: 22px;
        max-width: 850px;
    }  

    .nav-links a {
        font-size: 16px;
        letter-spacing: 1.5px;
    }
}

/* nav only: hamburger starst earlier */
@media (max-width: 1172px) {
    .hamburger {
        display: flex;
        margin-left: auto;
    }
    
    .nav-links {
        display: none;
        position: absolute;
        top: 120px;
        left: 0;
        width: 100%;
        background-color: #fefcfb;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding: 30px 20px;
        border-top: 1px solid #d8cec7;
    }

    .nav-links.active {
        display: flex;
    }

    .nav-links a {
        font-size: 16px;
    }
}

@media (max-width: 1172px) and (min-width: 901px) {
    .hamburger {
        gap: 14px;
        padding: 0;
    }

    .hamburger span {
        width: 80px;
        height: 8px;
    }

    .hamburger span:nth-child(2) {
        width: 64px;
    }
}

/* tablet: smaller nav height */
@media (max-width: 900px) {

    body {
        padding-top: 80px;
    }

    nav {
        height: 80px;
        min-height: 80px;
        padding: 10px 20px;
    }

    .nav-logo img {
        height: 60px;
    }

    .nav-links {
        top: 80px;
    }
}


/*-- HERO --*/
#hero {
    width: 100%;
    height: 100vh;
    background-image: url('images/hero.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    overflow: hidden;
}

.hero-overlay {
    position: sticky;
    top: 8vh;
    margin-right: 5vw;
    color: #fefcfb;
    text-align: end;
}

.hero-overlay h1 {
    font-size: 4vw;
    font-weight: bold;
    letter-spacing: 0.3vw;
    text-transform: uppercase;
    margin-bottom: 1vh;
}

.hero-overlay p {
    font-size: 1.5vw;
    letter-spacing: 0.4vw;
    text-transform: uppercase;
}

/*--  HOME BIO --*/
#bio {
    display: flex;
    align-items: stretch;
    gap: 60px;
    padding: 100px 80px;
    background-color: #faf7f3;
}

.bio-image {
    flex: 1;
    min-width: 0;
}

.bio-image img {
    width: 100%;
    max-width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.bio-text {
    flex: 1;
    min-width: 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.bio-text h2 {
    font-size: 3vw;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: #310101;
    padding-bottom: 20px;
}

.bio-text p {
    font-size: 18px;
    line-height: 1.8;
    color: #5b3a34;
}


/* -- HOME VIDEO --*/
#video {
    padding: 100px 80px;
    background-color: #fefcfb;
    text-align: center;
}

#video h2 {
    font-size: 2vw;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: #310101;
    margin-bottom: 50px;
}

.video-container {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    aspect-ratio: 16 / 9;
    border-radius: 12px;
    overflow: hidden;
}

.video-container iframe {
    width: 100%;
    height: 100%;
    border: none;
    display: block;
}



/*-- CONTACT --*/
#contact-info {
    padding: 100px 80px;
    background-color: #faf7f3;
    text-align: center;
}

#contact-info h1 {
    font-size: 4vw;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: #310101;
    margin-bottom: 60px;
}

.contacts-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    text-align: left;
}


.management-column {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.management-column + .management-column {
    border-left: 1px solid #d4c5bd;
    padding-left: 40px;
}

.management-column h3 {
    font-size: 20px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #310101;
    margin-bottom: 20px;
    text-align: center;
}

.management-column p {
    font-size: 18px;
    line-height: 2;
    color: #5b3a34;
}

.management-person {
    margin-bottom: 20px;
}

.management-person p {
    font-size: 18px;
    line-height: 1.6;
    color: #5b3a34;
    margin-bottom: 2px;
}

.management-person-assistant p {
    font-size: 17px;
    line-height: 1.6;
    color: #5b3a34;
    margin-bottom: 2px;
}



#message {
   padding: 60px 20px;
    background-color: #faf7f3;
    text-align: center;
}

#message h1 {
   font-size: 4vw;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: #270b0b;
    margin-bottom: 60px; 
}

.contact-form {
    flex: 1;
}

.contact-form input,
.contact-form textarea {
    width: 60%;
    padding: 15px;
    font-size: 14px;
    font-family: Georgia, serif;
    border: 1px solid #d8cec7;
    background-color: #fefcfb;
    color: #310101;
    outline: none;
    text-align: center;
    border-radius:15px 15px 15px 15px;
    margin-top: 10px;
}

.contact-form textarea {
    height: 150px;
    resize: none;
}

#message button {
    align-self: center;
    padding: 15px 40px;
    background-color: #270b0b;
    color: #fefcfb;
    font-size: 13px;
    letter-spacing: 2px;
    text-transform: uppercase;
    border: none;
    cursor: pointer;
    border-radius: 0 25px 0 25px;
    margin-top: 20px;
}

#message button:hover {
    background-color: #5b3a34;
}



/*-- FOOTER --*/
footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 80px;
    background-color: #270b0b;
    color: #c2aaa3;
    font-size: 12px;
    letter-spacing: 1px;
}

footer a {
    color: #c2aaa3;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 1px;
}

footer a:hover {
    color: #fefcfb;
}



/*-- ABOUT PAGE --*/

#about-bio {
    background-color: #faf7f3;
}

#page-header {
    justify-content: center;
    font-size: 2vw;
    text-align: center;
    background-color: #faf7f3;
    padding: 60px;
    border-bottom: 1px solid #d8cec7;
    width: 60%;
    margin: 0 auto;
}

.bio-block {
    padding: 60px 80px;
    overflow:hidden;
    background-color: #faf7f3;
}

.bio-block.reverse {
    background-color: #fefcfb;
}

.bio-block-text {
    width: 100%;
}

.bio-block-text h2 {
    font-size: 1.8vw;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: #310101;
    margin-bottom: 20px;
}

.bio-block-text p {
    font-size: 16px;
    line-height: 1.8;
    color: #5b3a34;
    margin-bottom: 15px;
}

.bio-block-image {
    width: 40%;
    float: right;
    margin: 0 0 30px 40px;
}

.bio-block-image img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: contain;
}


.bio-block.reverse .bio-block-image {
    float: left;
    margin: 0 40px 30px 0;
}

/*-- AWARDS --*/

#awards {
    padding: 100px 80px;
    background-color: #faf7f3;
    text-align: center;
}

#awards h2 {
    font-size: 2vw;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: #310101;
    margin-bottom: 60px;
}

.awards-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    text-align: left;
}

.awards-column {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.awards-column h3 {
    font-size: 13px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #310101;
    padding-bottom: 10px;
    border-bottom: 1px solid #310101;
    margin-bottom: 5px;
}

.awards-column p {
    font-size: 14px;
    line-height: 1.8;
    color: #5b3a34;
}

/* -- SCHEDULE PAGE --*/

#schedule-page {
    max-width: 1000px;
    margin: 0 auto;
    padding: 40px 80px 100px;
    background-color: #faf7f3;
}

.schedule-item {
    display: grid;
    grid-template-columns: 90px 1fr;
    gap: 50px;
    padding: 50px 0;
    border-bottom: 1px solid #d4c5bd;
}

.schedule-date {
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.schedule-month {
    display: block;
    font-size: 14px;
    color: #8b6b63;
    margin-bottom: 5px;
}

.schedule-day {
    display: block;
    font-size: 42px;
    line-height: 1;
    color: #310101;
}

.schedule-details h2 {
    font-size: 28px;
    letter-spacing: 2px;
    font-weight: 300;
    text-transform: uppercase;
    color: #310101;
    margin-bottom: 15px;
    line-height: 1.4;
}

.highlight-title {
    font-weight: 700;
}

.schedule-content {
    max-width: 700px;
}

.schedule-meta {
    font-size: 15px;
    color: #8b6b63;
    margin-bottom: 35px;
    line-height: 1.6;
}

.schedule-programme {
    display: flex;
    flex-direction: column;
    gap: 25px;
    margin-bottom: 35px;
}

.schedule-programme hr {
    border: none;
    border-top: 1px solid #8b6b63;
    margin: 25px 0;
}

.programme-work {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.composer {
    font-size: 15px;
    font-weight: bold;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #310101;
}

.piece {
    font-size: 17px;
    line-height: 1.7;
    color: #5b3a34;
}

.schedule-performers p {
    font-size: 16px;
    line-height: 1.7;
    font-style: italic;
    font-weight: bolder;
    color: #310101;
}

.schedule-button {
        display: inline-block;
        margin-top: 10px;
        padding: 14px 28px;
        background-color: #310101;
        color: #fefcfb;
        text-decoration: none;
        text-transform: uppercase;
        letter-spacing: 2px;
        font-size: 12px;
        border-radius: 0 20px 0 20px;
        transition: background-color 0.3s ease;
    }

    .schedule-button:hover {
        background-color: #5b3a34;
    }

.masterclass-dates {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.masterclass-date-block {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.date-separator {
    font-size: 18px;
    color: #8b6b63;
}

/*-- RESPONSIVE --*/

/*-- LARGE DESKTOP (1440px and above) --*/

@media (min-width: 1440px) {

    .bio-block-text h2 {
        font-size: 2.5vw;
    }

    .bio-block-text p {
        font-size: 18px;
    }
}


/*-- TABLET (max 900px) --*/

@media (max-width: 900px) {
    
    /*index.html bio*/
    #bio {
        flex-direction: column;
    }
    
    .bio-image {
        min-height: 400px;
    }

    .bio-image img {
        width: 100%;
        height: auto;
    }

    .bio-text {
        padding: 40px;
    }

    /* about.-html bio blocks */
    .bio-block {
        padding: 40px;
    }

    .bio-block.reverse .bio-block-image {
        float: none;
        margin: 0 0 30px 0;
    }

    .bio-block-image {
        float: none;
        width: 100%;
        margin: 0 0 30px 0;
    }

    .bio-block-image img {
        width: 100%;
        height: auto;
    }


    .bio-block-text h2 {
        font-size: 3vw;
    }

    /* awards */
    .awards-wrapper {
        flex-direction: column;
    }

    /*contact */
    .contacts-wrapper {
        flex-direction: column;
    }

    .management-column + .management-column {
        border-left: none;
        border-top: 1px solid #ddd;
        padding-left: 0;
        padding-top: 40px;
    }
}

/*-- MOBILE (max480px) --*/

@media (max-width: 480px) {
    body {
    padding-top: 80px;  
    }

    nav {
        height: 80px;
        min-height: 80px;
        padding: 10px 15px;
        gap: 10px;
    }

    .nav-logo img {
        height: 60px;
    }

    #hero {
        background-size: contain;
        background-repeat: no-repeat;
        background-position: top center;
        height: 50vh;
    }

    /* about-html page header */
    #page-header {
        padding: 40px 20px;
    }

    #page-header h1 {
        font-size: 6vw;
    }

    /* index.html bio */
    #bio {
        display: flex;
        flex-direction: column;
        gap: 0;
        padding: 10px 0 40px;
        margin-top: -90px;
    }

    .bio-image {
        order: 2;
        min-height: auto;
        margin-bottom: 18px;
    }

    .bio-image img {
        width: 100%;
        height: auto;
        display: block;
    }

    .bio-text {
        display: contents;
    }

    .bio-text h2 {
        order: 1;
        font-size: 6vw;
        padding: 0 20px;
        margin-bottom: 25px;
        line-height: 1;
    }

    .bio-text p {
        order: 3;
        padding: 0 20px;
        font-size: 16px;
        line-height: 1.65;
        margin-bottom: 10px;
        margin-top: 10px;
    }

    /* about.html bio blocks */
    .bio-block {
        padding: 30px 20px;
    }

    .bio-block-text h2 {
        font-size: 5vw;
    }

    .bio-block-text p {
        font-size: 14px;
    }

    /* video */
    #video {
        padding: 60px 20px;
    }

    /* awards */
    #awards {
        padding: 60px 20px;
    }

    .awards-wrapper {
        flex-direction: column;
    }

    .awards-column h3 {
        font-size: 4vw;
    }


    /* contact */

    #contact-info {
        padding: 60px 20px;
    }

    #contact-info h1 {
        font-size: 6vw;
    }

    .management-column h3 {
        font-size: 4vw;
    }

    .management-person p {
        font-size: 14px;
    }

    .contact-form {
    width: 100%;
    }

    .contact-form input,
    .contact-form textarea {
        width: 100%;
        font-size: 16px;
    }

    /* schedule */

    #schedule-page {
        padding: 60px 20px;
    }

    .schedule-item {
        grid-template-columns: 1fr;
        gap: 20px;
        padding: 40px 0;
    }

    .schedule-date {
        text-align: center;
    }

    .schedule-day {
        font-size: 34px;
    }

    .schedule-details h2 {
        font-size: 22px;
        line-height: 1.3;
    }

    .schedule-meta {
        font-size: 14px;
        margin-bottom: 25px;
    }

    .composer {
        font-size: 14px;
    }

    .piece,
    .schedule-performers p {
        font-size: 15px;
    }


    #manifesto-page {
        justify-content: center;
        font-size: 2vw;
        text-align: center;
        background-color: #faf7f3;
        padding: 60px;
        border-bottom: 1px solid #d8cec7;
        width: 60%;
        margin: 0 auto;
    }




 
    /* footer */
    footer {
        flex-direction: column;
        text-align: center;
        gap: 10px;
        padding: 30px 20px;
    }
}

